/* ==========================
   SECTORES
========================== */

.sectores{
    padding:10px;
    padding-bottom:75px;
    background:#000000;
    overflow:hidden;
    position:relative;
}

.section-header{
    text-align:center;
    margin-bottom:50px;
}

.section-header h2{
    font-size:40px;
    font-weight:800;
    color:#fff;
}

.section-header h2 span{
    color:#ff2b2b;
}

.section-header p{
    margin-top:10px;
    color:#a0a8b8;
}

/* ==========================
   SLIDER
========================== */

.slider{

    width:100%;

    overflow-x:hidden;
    overflow-y:visible;

    position:relative;

    padding-top:15px;
    padding-bottom:15px;
}
.slide-track{
    display:flex;
    gap:18px;
    width:max-content;
    animation:scrollSectores 35s linear infinite;
}

.slider:hover .slide-track{
    animation-play-state:paused;
}

/*MODAL SLIDER*/
/* =====================================
   MODAL
===================================== */

.image-modal{

    position:fixed;

    top:0;
    left:0;

    width:100%;
    height:100vh;

    background:rgba(0,0,0,.92);

    display:none;

    justify-content:center;
    align-items:center;

    z-index:999999;
}

.image-modal.active{

    display:flex;
}

.modal-content{

    position:relative;

    max-width:90vw;
    max-height:90vh;

    display:flex;
    justify-content:center;
    align-items:center;
}

.modal-content img{

    max-width:90vw;
    max-height:85vh;

    object-fit:contain;

    border-radius:18px;

    box-shadow:
    0 20px 60px rgba(0,0,0,.5);
}

.modal-close{

    position:absolute;

    top:-15px;
    right:-15px;

    width:45px;
    height:45px;

    border:none;

    border-radius:50%;

    background:#cd0000;

    color:#fff;

    font-size:28px;

    cursor:pointer;

    display:flex;
    align-items:center;
    justify-content:center;

    transition:.3s;
}

.modal-close:hover{

    transform:scale(1.08);

    background:#ff8f26;
}

.sector-card{

    cursor:pointer;
}
.sector-card::after{

    content:'🔍';

    position:absolute;

    top:15px;
    right:15px;

    opacity:0;

    transition:.3s;
}

.sector-card:hover::after{

    opacity:1;
}
/* ==========================
   CARD
========================== */

.sector-card{
    width:180px;
    height:260px;
    flex-shrink:0;

    position:relative;

    border-radius:14px;
    overflow:hidden;

    border:1px solid rgba(255,255,255,.08);

    background:#111;

    transition:.4s;
}

.sector-card:hover{
    transform:translateY(-8px);
    border-color:rgba(255,0,0,.4);

    box-shadow:
    0 15px 40px rgba(255,0,0,.18);
}

.sector-card img{
    width:100%;
    height:100%;
    object-fit:cover;
}

.overlay{
    position:absolute;
    inset:0;

    background:
    linear-gradient(
        to top,
        rgba(0,0,0,.95),
        rgba(0,0,0,.15)
    );
}

.sector-name{
    position:absolute;
    left:15px;
    right:15px;
    bottom:18px;

    color:white;
    font-weight:600;
    font-size:16px;
    text-align:center;
    z-index:2;
}

/* ==========================
   ANIMACIÓN INFINITA
========================== */

@keyframes scrollSectores{

    from{
        transform:translateX(0);
    }

    to{
        transform:translateX(-50%);
    }
}

@media(max-width:768px){

    .sectores{
        padding:30px 0;
    }

    .section-header h2{
        font-size:28px;
    }

    .sector-card{
        width:140px;
        height:210px;
    }

    .sector-name{
        font-size:14px;
    }

    .slide-track{
        animation-duration:25s;
    }
}


@media(max-width:558px){

    .sectores{
        padding:-10px 0;
    }

    .section-header h2{
        font-size:28px;
    }

    .sector-card{
        width:140px;
        height:210px;
    }

    .sector-name{
        font-size:14px;
    }

    .slide-track{
        animation-duration:25s;
    }
}